@echo off
set APPSFOLDER=apps\storeapps
set TOOLS=C:\tools

IF %1.==. GOTO USAGE

rem folder present ?
IF EXIST %TOOLS%\%APPSFOLDER% (
  FOR %%F in (%TOOLS%\%APPSFOLDER%\*%1*.appxbundle, %TOOLS%\%APPSFOLDER%\*%1*.appx, %TOOLS%\%APPSFOLDER%\*%1*.msixbundle) do (
    echo processing ... [ %%F ]
    dism /Online /Add-ProvisionedAppxPackage /PackagePath:"%%F" /SkipLicense
  )
) else (
  echo WARNING: [ %TOOLS%\%APPSFOLDER% ] does not exist, cannot install ...
)
GOTO END

:USAGE
echo "usage: %0 <Appname>"
  
:END

